OOPS when e-mail sent to Launchpad has incorrect encoding

Bug #246307 reported by Scott Kitterman on 2008-07-07
4
Affects Status Importance Assigned to Milestone
Launchpad itself
Critical
Unassigned
ubuntu-dev-tools (Ubuntu)
Medium
Colin Watson

Bug Description

Using the requestsync script, I consistently get rejected by Launchpad. The script works fine for other packages.

An error occurred while processing a mail you sent to Malone's email
interface.

Error message:

Sorry, something went wrong when Launchpad tried processing your mail.
We've recorded what happened, and we'll fix it as soon as possible.
Apologies for the inconvenience.

If this is blocking your work, please file a question at
https://answers.edge.launchpad.net/launchpad/+addquestion
and include the error ID OOPS-919CEMAIL1 in the description.

Also OOPS-919CEMAIL2 and OOPS-919CEMAIL6

Scott Kitterman (kitterman) wrote :

This is the source of one of the messages as returned in the bounce message. I see a good PGP signature locally on it:

Return-Path: <email address hidden>
X-Original-To: <email address hidden>
Delivered-To: <email address hidden>
Received: from [127.0.1.1] (static-72-81-252-22.bltmmd.fios.verizon.net
 [72.81.252.22])
 by fiordland.canonical.com (Postfix) with ESMTP id 7E8A5B6824C
 for <email address hidden>; Mon, 7 Jul 2008 14:27:42 +0100 (BST)
From: <email address hidden>
To: <email address hidden>
Subject: Please sync pyyaml 3.05-2 (universe) from Debian unstable (main).
Message-Id: <email address hidden>
Date: Mon, 7 Jul 2008 14:27:42 +0100 (BST)
X-UID: 0

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 affects ubuntu/pyyaml
 status confirmed
 importance wishlist
 subscribe ubuntu-archive

Please sync pyyaml 3.05-2 (universe) from Debian unstable (main).

Now that libyaml is out of New, we can do this ...

Changelog since current intrepid version 3.05-1:

pyyaml (3.05-2) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Vcs-Browser and Homepage fields added
  * XS-Vcs-Svn field renamed to Vcs-Svn
  * DM-Upload-Allowed set to "yes"

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

  [ Scott Kitterman ]
  * Build with lib-yaml now that it is in the archive (Closes: #435410)
    - Add build-dep on libyaml-dev and python-pyrex
    - Add depends for ${shlibs:Depends} (Package falls back to pure Python
      if libyaml is not present, but it's not worth splitting a small package)
    - Install with setup_with_libyaml.py for all Python versions
    - Switch from arch all to arch any
  * Add debug package
    - Add python-all-dbg to build-dep
    - Add python-yaml-dbg to debian/control
    - Update debian/rules
  * Switch from python-support to python-central
    - Update depends
    - Remove pyversions
    - Add XS/XB-python-versions to debian/control
    - Update debian/rules
  * Update package description
  * Update standards version to 3.8.0.1

 -- Scott Kitterman <email address hidden> Tue, 24 Jun 2008 21:32:45 -0400

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIchnPHajaM93NaGoRAj0RAKCWhkcNRtjweW3VjlSf2itvGJDh8ACgjKCJ
KJDc6EG5M2n+UVczAfhGET0=
=S+Fh
-----END PGP SIGNATURE-----

On Mon, Jul 07, 2008 at 04:16:27PM -0000, Scott Kitterman wrote:
> Public bug reported:
>
> Using the requestsync script, I consistently get rejected by Launchpad.
> The script works fine for other packages.

This is a bug both in Launchad, and in the requestsync script. Launchpad
should handle this somehow, and at the very least give you a good error
message. So this is a valid bug report.

The bug with the requestsync script is that it produces an e-mail
containing non-ascii characters, without specifying which encoding is
being used. If you specify the encoding in the Content-type header,
Launchpad should accept the mail.

Changed in launchpad:
importance: Undecided → Medium
status: New → Confirmed
Changed in ubuntu-dev-tools:
importance: Undecided → Medium
status: New → Triaged
Colin Watson (cjwatson) wrote :

Bug 368166 is a test with the old requestsync. I see that Launchpad now accepts the mail, but it appears to be reading it as a sequence of ISO-8859-1 bytes.

Bug 368171 is a test with my requestsync fix, and it all now appears to work fine.

Changed in ubuntu-dev-tools (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-dev-tools - 0.73

---------------
ubuntu-dev-tools (0.73) karmic; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * pbuilder-dist:
    - Fallback to calling lsb_release if /etc/lsb-release doesn't
       exist; this makes it possible to run pbuilder-dist on Debian.

  [ Nathan Handler ]
  * pull-debian-source:
    - Use Getopt::Long

  [ Colin Watson ]
  * submittodebian:
    - New release cycle; use "karmic" usertag.
  * dch-repeat:
    - Drop EOLed gutsy and add karmic.
  * pull-lp-source:
    - Set default release to karmic.
  * reverse-build-depends:
    - Set default release to karmic.
  * bash_completion/pbuilder-dist:
    - Add karmic.
    - Add squeeze.
  * requestsync:
    - Send a "Content-Type: text/plain; charset=UTF-8" header (LP: #246307).

 -- Colin Watson <email address hidden> Mon, 27 Apr 2009 21:39:15 +0100

Changed in ubuntu-dev-tools (Ubuntu):
status: Fix Committed → Fix Released
Changed in launchpad:
importance: Medium → Critical
Tim Penhey (thumper) wrote :

Looking at the code now, I believe this to be fixed.

Changed in launchpad:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers